function ObjectAD() {
  /* Define Variables*/
  this.ADID        = 0;
  this.ADType      = 0;
  this.ADName      = "";
  this.ImgUrl      = "";
  this.ImgWidth    = 0;
  this.ImgHeight   = 0;
  this.FlashWmode  = 0;
  this.LinkUrl     = "";
  this.LinkTarget  = 0;
  this.LinkAlt     = "";
  this.Priority    = 0;
  this.CountView   = 0;
  this.CountClick  = 0;
  this.InstallDir  = "";
  this.ADDIR       = "";
}

function CodeZoneAD(_id) {
  /* Define Common Variables*/
  this.ID          = _id;
  this.ZoneID      = 0;

  /* Define Unique Variables*/

  /* Define Objects */
  this.AllAD       = new Array();
  this.ShowAD      = null;

  /* Define Functions */
  this.AddAD       = CodeZoneAD_AddAD;
  this.GetShowAD   = CodeZoneAD_GetShowAD;
  this.Show        = CodeZoneAD_Show;

}

function CodeZoneAD_AddAD(_AD) {
  this.AllAD[this.AllAD.length] = _AD;
}

function CodeZoneAD_GetShowAD() {
  if (this.ShowType > 1) {
    this.ShowAD = this.AllAD[0];
    return;
  }
  var num = this.AllAD.length;
  var sum = 0;
  for (var i = 0; i < num; i++) {
    sum = sum + this.AllAD[i].Priority;
  }
  if (sum <= 0) {return ;}
  var rndNum = Math.random() * sum;
  i = 0;
  j = 0;
  while (true) {
    j = j + this.AllAD[i].Priority;
    if (j >= rndNum) {break;}
    i++;
  }
  this.ShowAD = this.AllAD[i];
}

function CodeZoneAD_Show() {
  if (!this.AllAD) {
    return;
  } else {
    this.GetShowAD();
  }

  if (this.ShowAD == null) return false;
  document.write(this.ShowAD.ADIntro);
}

var ZoneAD_20 = new CodeZoneAD("ZoneAD_20");
ZoneAD_20.ZoneID      = 20;
ZoneAD_20.ZoneWidth   = 0;
ZoneAD_20.ZoneHeight  = 0;
ZoneAD_20.ShowType    = 1;

var objAD = new ObjectAD();
objAD.ADID           = 52;
objAD.ADType         = 4;
objAD.ADName         = "12";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=bkbk603831&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 51;
objAD.ADType         = 4;
objAD.ADName         = "11";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=bkbk512558&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 0;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 50;
objAD.ADType         = 4;
objAD.ADName         = "10";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zjbk307306&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 49;
objAD.ADType         = 4;
objAD.ADName         = "9";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zjbk299249&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 48;
objAD.ADType         = 4;
objAD.ADName         = "8";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zjbk284996&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 47;
objAD.ADType         = 4;
objAD.ADName         = "7";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zjbk295227&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 46;
objAD.ADType         = 4;
objAD.ADName         = "6";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zjbk275517&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 45;
objAD.ADType         = 4;
objAD.ADName         = "5";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zjbk279677&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 44;
objAD.ADType         = 4;
objAD.ADName         = "4";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zhbk957593&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 43;
objAD.ADType         = 4;
objAD.ADName         = "׿Խҳ";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=zhbk957621&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 42;
objAD.ADType         = 4;
objAD.ADName         = "׿ԽPS2";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=bkbk512529&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 0;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

var objAD = new ObjectAD();
objAD.ADID           = 41;
objAD.ADType         = 4;
objAD.ADName         = "׿Խͼ";
objAD.ImgUrl         = "";
objAD.ImgWidth       = 0;
objAD.ImgHeight      = 0;
objAD.FlashWmode     = 0;
objAD.ADIntro        = "<iframe src=\"http://www.joyo.com/union/ep.asp?prodid=bkbk512750&source=1717go&lt1=%5Fblank&price=all&img=imgsm&border=y&bg1=ffffff&fc1=000000&lc1=0000ff\" width=\"120\" height=\"240\" scrolling=\"no\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
objAD.LinkUrl        = "";
objAD.LinkTarget     = 1;
objAD.LinkAlt        = "";
objAD.Priority       = 1;
objAD.CountView      = 1;
objAD.CountClick     = 0;
objAD.InstallDir     = "http://www.webshu.net/";
objAD.ADDIR          = "AD";
ZoneAD_20.AddAD(objAD);

ZoneAD_20.Show();
