﻿CREATE TABLE [dbo].[PE_StatAddress] (
	[TAddress] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[TAddNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatBrowser] (
	[TBrowser] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[TBrwNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatColor] (
	[TColor] [nvarchar] (16) COLLATE Chinese_PRC_CI_AS NULL ,
	[TColNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatDay] (
	[0] [int] NOT NULL ,
	[1] [int] NOT NULL ,
	[2] [int] NOT NULL ,
	[3] [int] NOT NULL ,
	[4] [int] NOT NULL ,
	[5] [int] NOT NULL ,
	[6] [int] NOT NULL ,
	[7] [int] NOT NULL ,
	[8] [int] NOT NULL ,
	[9] [int] NOT NULL ,
	[10] [int] NOT NULL ,
	[11] [int] NOT NULL ,
	[12] [int] NOT NULL ,
	[13] [int] NOT NULL ,
	[14] [int] NOT NULL ,
	[15] [int] NOT NULL ,
	[16] [int] NOT NULL ,
	[17] [int] NOT NULL ,
	[18] [int] NOT NULL ,
	[19] [int] NOT NULL ,
	[20] [int] NOT NULL ,
	[21] [int] NOT NULL ,
	[22] [int] NOT NULL ,
	[23] [int] NOT NULL ,
	[TDay] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatInfoList] (
	[StartDate] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[TotalNum] [int] NOT NULL ,
	[TotalView] [int] NULL ,
	[MonthNum] [int] NULL ,
	[MonthMaxNum] [int] NULL ,
	[OldMonth] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[MonthMaxDate] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[DayNum] [int] NULL ,
	[DayMaxNum] [int] NULL ,
	[OldDay] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[DayMaxDate] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[HourNum] [int] NULL ,
	[HourMaxNum] [int] NULL ,
	[OldHour] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[HourMaxTime] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[ChinaNum] [int] NULL ,
	[OtherNum] [int] NULL ,
	[MasterTimeZone] [int] NULL ,
	[IntervalNum] [int] NULL ,
	[OnlineTime] [int] NULL ,
	[VisitRecord] [int] NULL ,
	[KillRefresh] [int] NULL ,
	[RegFields_Fill] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[OldTotalNum] [int] NULL ,
	[OldTotalView] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatIp] (
	[TIp] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[TIpNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatIpInfo] (
	[StartIp] [float] NOT NULL ,
	[EndIp] [float] NOT NULL ,
	[Address] [nvarchar] (70) COLLATE Chinese_PRC_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatKeyword] (
	[TKeyword] [nvarchar] (16) COLLATE Chinese_PRC_CI_AS NULL ,
	[TKeywordNum] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatMonth] (
	[1] [int] NOT NULL ,
	[2] [int] NOT NULL ,
	[3] [int] NOT NULL ,
	[4] [int] NOT NULL ,
	[5] [int] NOT NULL ,
	[6] [int] NOT NULL ,
	[7] [int] NOT NULL ,
	[8] [int] NOT NULL ,
	[9] [int] NOT NULL ,
	[10] [int] NOT NULL ,
	[11] [int] NOT NULL ,
	[12] [int] NOT NULL ,
	[13] [int] NOT NULL ,
	[14] [int] NOT NULL ,
	[15] [int] NOT NULL ,
	[16] [int] NOT NULL ,
	[17] [int] NOT NULL ,
	[18] [int] NOT NULL ,
	[19] [int] NOT NULL ,
	[20] [int] NOT NULL ,
	[21] [int] NOT NULL ,
	[22] [int] NOT NULL ,
	[23] [int] NOT NULL ,
	[24] [int] NOT NULL ,
	[25] [int] NOT NULL ,
	[26] [int] NOT NULL ,
	[27] [int] NOT NULL ,
	[28] [int] NOT NULL ,
	[29] [int] NOT NULL ,
	[30] [int] NOT NULL ,
	[31] [int] NOT NULL ,
	[TMonth] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatMozilla] (
	[TMozilla] [nvarchar] (100) COLLATE Chinese_PRC_CI_AS NULL ,
	[TMozNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatOnline] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[UserIP] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[UserAgent] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[UserPage] [nvarchar] (255) COLLATE Chinese_PRC_CI_AS NULL ,
	[OnTime] [datetime] NULL ,
	[LastTime] [datetime] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatRefer] (
	[TRefer] [nvarchar] (100) COLLATE Chinese_PRC_CI_AS NULL ,
	[TRefNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatScreen] (
	[TScreen] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[TScrNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatSystem] (
	[TSystem] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[TSysNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatTimezone] (
	[TTimezone] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[TTimNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatVisit] (
	[1] [int] NOT NULL ,
	[2] [int] NOT NULL ,
	[3] [int] NOT NULL ,
	[4] [int] NOT NULL ,
	[5] [int] NOT NULL ,
	[6] [int] NOT NULL ,
	[7] [int] NOT NULL ,
	[8] [int] NOT NULL ,
	[9] [int] NOT NULL ,
	[10] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatVisitor] (
	[Id] [int] IDENTITY (1, 1) NOT NULL ,
	[VTime] [datetime] NULL ,
	[Ip] [nvarchar] (15) COLLATE Chinese_PRC_CI_AS NULL ,
	[Address] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[System] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[Browser] [nvarchar] (20) COLLATE Chinese_PRC_CI_AS NULL ,
	[Screen] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL ,
	[Color] [nvarchar] (16) COLLATE Chinese_PRC_CI_AS NULL ,
	[Referer] [nvarchar] (100) COLLATE Chinese_PRC_CI_AS NULL ,
	[Timezone] [int] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatWeburl] (
	[TWeburl] [nvarchar] (50) COLLATE Chinese_PRC_CI_AS NULL ,
	[TWebNum] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatWeek] (
	[1] [int] NOT NULL ,
	[2] [int] NOT NULL ,
	[3] [int] NOT NULL ,
	[4] [int] NOT NULL ,
	[5] [int] NOT NULL ,
	[6] [int] NOT NULL ,
	[7] [int] NOT NULL ,
	[TWeek] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[PE_StatYear] (
	[1] [int] NOT NULL ,
	[2] [int] NOT NULL ,
	[3] [int] NOT NULL ,
	[4] [int] NOT NULL ,
	[5] [int] NOT NULL ,
	[6] [int] NOT NULL ,
	[7] [int] NOT NULL ,
	[8] [int] NOT NULL ,
	[9] [int] NOT NULL ,
	[10] [int] NOT NULL ,
	[11] [int] NOT NULL ,
	[12] [int] NOT NULL ,
	[TYear] [nvarchar] (10) COLLATE Chinese_PRC_CI_AS NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[PE_StatInfoList] WITH NOCHECK ADD 
	CONSTRAINT [PK_PE_StatInfoList] PRIMARY KEY  CLUSTERED 
	(
		[TotalNum]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[PE_StatIpInfo] WITH NOCHECK ADD 
	CONSTRAINT [PK_PE_StatIpInfo] PRIMARY KEY  CLUSTERED 
	(
		[StartIp],
		[EndIp]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[PE_StatOnline] WITH NOCHECK ADD 
	CONSTRAINT [PK_Online] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[PE_StatVisitor] WITH NOCHECK ADD 
	CONSTRAINT [PK_Visitor] PRIMARY KEY  CLUSTERED 
	(
		[Id]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[PE_StatAddress] WITH NOCHECK ADD 
	CONSTRAINT [DF_FAddress_TAddNum] DEFAULT (0) FOR [TAddNum]
GO

ALTER TABLE [dbo].[PE_StatBrowser] WITH NOCHECK ADD 
	CONSTRAINT [DF_FBrowser_TBrwNum] DEFAULT (0) FOR [TBrwNum]
GO

ALTER TABLE [dbo].[PE_StatColor] WITH NOCHECK ADD 
	CONSTRAINT [DF_FColor_TColNum] DEFAULT (0) FOR [TColNum]
GO

ALTER TABLE [dbo].[PE_StatDay] WITH NOCHECK ADD 
	CONSTRAINT [DF_StatDay_0] DEFAULT (0) FOR [0],
	CONSTRAINT [DF_StatDay_1] DEFAULT (0) FOR [1],
	CONSTRAINT [DF_StatDay_2] DEFAULT (0) FOR [2],
	CONSTRAINT [DF_StatDay_3] DEFAULT (0) FOR [3],
	CONSTRAINT [DF_StatDay_4] DEFAULT (0) FOR [4],
	CONSTRAINT [DF_StatDay_5] DEFAULT (0) FOR [5],
	CONSTRAINT [DF_StatDay_6] DEFAULT (0) FOR [6],
	CONSTRAINT [DF_StatDay_7] DEFAULT (0) FOR [7],
	CONSTRAINT [DF_StatDay_8] DEFAULT (0) FOR [8],
	CONSTRAINT [DF_StatDay_9] DEFAULT (0) FOR [9],
	CONSTRAINT [DF_StatDay_10] DEFAULT (0) FOR [10],
	CONSTRAINT [DF_StatDay_11] DEFAULT (0) FOR [11],
	CONSTRAINT [DF_StatDay_12] DEFAULT (0) FOR [12],
	CONSTRAINT [DF_StatDay_13] DEFAULT (0) FOR [13],
	CONSTRAINT [DF_StatDay_14] DEFAULT (0) FOR [14],
	CONSTRAINT [DF_StatDay_15] DEFAULT (0) FOR [15],
	CONSTRAINT [DF_StatDay_16] DEFAULT (0) FOR [16],
	CONSTRAINT [DF_StatDay_17] DEFAULT (0) FOR [17],
	CONSTRAINT [DF_StatDay_18] DEFAULT (0) FOR [18],
	CONSTRAINT [DF_StatDay_19] DEFAULT (0) FOR [19],
	CONSTRAINT [DF_StatDay_20] DEFAULT (0) FOR [20],
	CONSTRAINT [DF_StatDay_21] DEFAULT (0) FOR [21],
	CONSTRAINT [DF_StatDay_22] DEFAULT (0) FOR [22],
	CONSTRAINT [DF_StatDay_23] DEFAULT (0) FOR [23]
GO

ALTER TABLE [dbo].[PE_StatInfoList] WITH NOCHECK ADD 
	CONSTRAINT [DF_InfoList_TotalNum] DEFAULT (0) FOR [TotalNum],
	CONSTRAINT [DF_InfoList_TotalView] DEFAULT (0) FOR [TotalView],
	CONSTRAINT [DF_InfoList_MonthMaxNum] DEFAULT (0) FOR [MonthMaxNum],
	CONSTRAINT [DF_InfoList_DayNum] DEFAULT (0) FOR [DayNum],
	CONSTRAINT [DF_InfoList_DayMaxNum] DEFAULT (0) FOR [DayMaxNum],
	CONSTRAINT [DF_InfoList_HourNum] DEFAULT (0) FOR [HourNum],
	CONSTRAINT [DF_InfoList_HourMaxNum] DEFAULT (0) FOR [HourMaxNum],
	CONSTRAINT [DF_InfoList_ChinaNum] DEFAULT (0) FOR [ChinaNum],
	CONSTRAINT [DF_InfoList_OtherNum] DEFAULT (0) FOR [OtherNum],
	CONSTRAINT [DF_InfoList_IntervalNum] DEFAULT (0) FOR [IntervalNum],
	CONSTRAINT [DF_InfoList_OnlineTime] DEFAULT (0) FOR [OnlineTime],
	CONSTRAINT [DF_InfoList_VisitRecord] DEFAULT (0) FOR [VisitRecord],
	CONSTRAINT [DF_InfoList_KillRefresh] DEFAULT (0) FOR [KillRefresh],
	CONSTRAINT [DF_InfoList_OldTotalNum] DEFAULT (0) FOR [OldTotalNum],
	CONSTRAINT [DF_InfoList_OldTotalView] DEFAULT (0) FOR [OldTotalView]
GO

ALTER TABLE [dbo].[PE_StatIp] WITH NOCHECK ADD 
	CONSTRAINT [DF_FIp_TIpNum] DEFAULT (0) FOR [TIpNum]
GO

ALTER TABLE [dbo].[PE_StatIpInfo] WITH NOCHECK ADD 
	CONSTRAINT [DF_IpInfo_StartIp] DEFAULT (0) FOR [StartIp],
	CONSTRAINT [DF_IpInfo_EndIp] DEFAULT (0) FOR [EndIp]
GO

ALTER TABLE [dbo].[PE_StatMonth] WITH NOCHECK ADD 
	CONSTRAINT [DF_StatMonth_1] DEFAULT (0) FOR [1],
	CONSTRAINT [DF_StatMonth_2] DEFAULT (0) FOR [2],
	CONSTRAINT [DF_StatMonth_3] DEFAULT (0) FOR [3],
	CONSTRAINT [DF_StatMonth_4] DEFAULT (0) FOR [4],
	CONSTRAINT [DF_StatMonth_5] DEFAULT (0) FOR [5],
	CONSTRAINT [DF_StatMonth_6] DEFAULT (0) FOR [6],
	CONSTRAINT [DF_StatMonth_7] DEFAULT (0) FOR [7],
	CONSTRAINT [DF_StatMonth_8] DEFAULT (0) FOR [8],
	CONSTRAINT [DF_StatMonth_9] DEFAULT (0) FOR [9],
	CONSTRAINT [DF_StatMonth_10] DEFAULT (0) FOR [10],
	CONSTRAINT [DF_StatMonth_11] DEFAULT (0) FOR [11],
	CONSTRAINT [DF_StatMonth_12] DEFAULT (0) FOR [12],
	CONSTRAINT [DF_StatMonth_13] DEFAULT (0) FOR [13],
	CONSTRAINT [DF_StatMonth_14] DEFAULT (0) FOR [14],
	CONSTRAINT [DF_StatMonth_15] DEFAULT (0) FOR [15],
	CONSTRAINT [DF_StatMonth_16] DEFAULT (0) FOR [16],
	CONSTRAINT [DF_StatMonth_17] DEFAULT (0) FOR [17],
	CONSTRAINT [DF_StatMonth_18] DEFAULT (0) FOR [18],
	CONSTRAINT [DF_StatMonth_19] DEFAULT (0) FOR [19],
	CONSTRAINT [DF_StatMonth_20] DEFAULT (0) FOR [20],
	CONSTRAINT [DF_StatMonth_21] DEFAULT (0) FOR [21],
	CONSTRAINT [DF_StatMonth_22] DEFAULT (0) FOR [22],
	CONSTRAINT [DF_StatMonth_23] DEFAULT (0) FOR [23],
	CONSTRAINT [DF_StatMonth_24] DEFAULT (0) FOR [24],
	CONSTRAINT [DF_StatMonth_25] DEFAULT (0) FOR [25],
	CONSTRAINT [DF_StatMonth_26] DEFAULT (0) FOR [26],
	CONSTRAINT [DF_StatMonth_27] DEFAULT (0) FOR [27],
	CONSTRAINT [DF_StatMonth_28] DEFAULT (0) FOR [28],
	CONSTRAINT [DF_StatMonth_29] DEFAULT (0) FOR [29],
	CONSTRAINT [DF_StatMonth_30] DEFAULT (0) FOR [30],
	CONSTRAINT [DF_StatMonth_31] DEFAULT (0) FOR [31]
GO

ALTER TABLE [dbo].[PE_StatMozilla] WITH NOCHECK ADD 
	CONSTRAINT [DF_FMozilla_TMozNum] DEFAULT (0) FOR [TMozNum]
GO

ALTER TABLE [dbo].[PE_StatRefer] WITH NOCHECK ADD 
	CONSTRAINT [DF_FRefer_TRefNum] DEFAULT (0) FOR [TRefNum]
GO

ALTER TABLE [dbo].[PE_StatScreen] WITH NOCHECK ADD 
	CONSTRAINT [DF_FScreen_TScrNum] DEFAULT (0) FOR [TScrNum]
GO

ALTER TABLE [dbo].[PE_StatSystem] WITH NOCHECK ADD 
	CONSTRAINT [DF_FSystem_TSysNum] DEFAULT (0) FOR [TSysNum]
GO

ALTER TABLE [dbo].[PE_StatTimezone] WITH NOCHECK ADD 
	CONSTRAINT [DF_FTimezone_TTimNum] DEFAULT (0) FOR [TTimNum]
GO

ALTER TABLE [dbo].[PE_StatVisit] WITH NOCHECK ADD 
	CONSTRAINT [DF_FVisit_1] DEFAULT (0) FOR [1],
	CONSTRAINT [DF_FVisit_2] DEFAULT (0) FOR [2],
	CONSTRAINT [DF_FVisit_3] DEFAULT (0) FOR [3],
	CONSTRAINT [DF_FVisit_4] DEFAULT (0) FOR [4],
	CONSTRAINT [DF_FVisit_5] DEFAULT (0) FOR [5],
	CONSTRAINT [DF_FVisit_6] DEFAULT (0) FOR [6],
	CONSTRAINT [DF_FVisit_7] DEFAULT (0) FOR [7],
	CONSTRAINT [DF_FVisit_8] DEFAULT (0) FOR [8],
	CONSTRAINT [DF_FVisit_9] DEFAULT (0) FOR [9],
	CONSTRAINT [DF_FVisit_10] DEFAULT (0) FOR [10]
GO

ALTER TABLE [dbo].[PE_StatWeburl] WITH NOCHECK ADD 
	CONSTRAINT [DF_FWeburl_TWebNum] DEFAULT (0) FOR [TWebNum]
GO

ALTER TABLE [dbo].[PE_StatWeek] WITH NOCHECK ADD 
	CONSTRAINT [DF_StatWeek_1] DEFAULT (0) FOR [1],
	CONSTRAINT [DF_StatWeek_2] DEFAULT (0) FOR [2],
	CONSTRAINT [DF_StatWeek_3] DEFAULT (0) FOR [3],
	CONSTRAINT [DF_StatWeek_4] DEFAULT (0) FOR [4],
	CONSTRAINT [DF_StatWeek_5] DEFAULT (0) FOR [5],
	CONSTRAINT [DF_StatWeek_6] DEFAULT (0) FOR [6],
	CONSTRAINT [DF_StatWeek_7] DEFAULT (0) FOR [7]
GO

ALTER TABLE [dbo].[PE_StatYear] WITH NOCHECK ADD 
	CONSTRAINT [DF_StatYear_1] DEFAULT (0) FOR [1],
	CONSTRAINT [DF_StatYear_2] DEFAULT (0) FOR [2],
	CONSTRAINT [DF_StatYear_3] DEFAULT (0) FOR [3],
	CONSTRAINT [DF_StatYear_4] DEFAULT (0) FOR [4],
	CONSTRAINT [DF_StatYear_5] DEFAULT (0) FOR [5],
	CONSTRAINT [DF_StatYear_6] DEFAULT (0) FOR [6],
	CONSTRAINT [DF_StatYear_7] DEFAULT (0) FOR [7],
	CONSTRAINT [DF_StatYear_8] DEFAULT (0) FOR [8],
	CONSTRAINT [DF_StatYear_9] DEFAULT (0) FOR [9],
	CONSTRAINT [DF_StatYear_10] DEFAULT (0) FOR [10],
	CONSTRAINT [DF_StatYear_11] DEFAULT (0) FOR [11],
	CONSTRAINT [DF_StatYear_12] DEFAULT (0) FOR [12]
GO

 CREATE  INDEX [IX_FAddress] ON [dbo].[PE_StatAddress]([TAddNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FBrowser] ON [dbo].[PE_StatBrowser]([TBrwNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FColor] ON [dbo].[PE_StatColor]([TColNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FIp] ON [dbo].[PE_StatIp]([TIpNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FMozilla] ON [dbo].[PE_StatMozilla]([TMozNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FRefer] ON [dbo].[PE_StatRefer]([TRefNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FScreen] ON [dbo].[PE_StatScreen]([TScrNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FSystem] ON [dbo].[PE_StatSystem]([TSysNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FTimezone] ON [dbo].[PE_StatTimezone]([TTimNum]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FVisit] ON [dbo].[PE_StatVisit]([2]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_Visitor] ON [dbo].[PE_StatVisitor]([VTime]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_Visitor_1] ON [dbo].[PE_StatVisitor]([Ip]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_FWeburl] ON [dbo].[PE_StatWeburl]([TWebNum]) ON [PRIMARY]
GO

